Community
cancel
Showing results for 
Search instead for 
Did you mean: 
RNeto2
Beginner
705 Views

Licensing Error in Simulation Waveform Editor

Hello everyone, I'm trying to run a simple simulation on a block diagram I built in Quartus Prime Lite Edition, the compilation is successful but I get a pesky error every time I run so I end up not getting the results displayed. It says:

 

"Unable to checkout a license. Vsim is closing.

** Fatal: Invalid license environment. Application closing.

Unable to checkout a license. Make sure your license file environment variables are set correctly and then run 'lmutil lmdiag' to diagnose the problem.

Modelsim - Intel FPGA Edition uses the following environment variables to check the licenses (listed in the order of preference)

1. MGLS_LICENSE_FILE

2. LM_LICENSE_FILE."

 

I understand there's some missing licenses so I went to the License Daemon Downloads page to get the Modelsim_Altera_daemon_win.zip and all I got inside were 3 files called lmgrd.exe, lmulti.exe, mgcld.exe which I have no idea how to implement them, since they all just open a cmd and close right away.

 

Could someone please help me through this installation?

0 Kudos
2 Replies
AnandRaj_S_Intel
Employee
261 Views

Hi,

 

  1. Quartus Prime Lite Edition & Modelsim Stater edition does not required license/Daemon tool/environment variable settings .
  2. If you use Modelsim-Intel fpga edition you will get license error.

 

Try by using Modelsim Stater edition with respect to the Quartus version, Download from below link under tab Select by Software.

https://www.intel.com/content/www/us/en/programmable/downloads/download-center.html

 

Regards

Anand

RNeto2
Beginner
261 Views

Thank you! I had both Modelsim versions installed with Quartus and during simulation, Simulation Waveform Editor was constantly using the non-starter version and displaying the same error over and over because as you pointed out, it requires a license. After reinstalling the software and making sure only the Modelsim Stater edition was installed along with the correct device support, it's now working.

 

Really appreciate your help,

Ricardo

Reply